<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<div class="card">
	<div class="card-header">
		<div class="page-header-title">
			<h4>{{'epdb.admin.glosarry.edit_term' | translate}}</h4>
		</div>
	</div>
	<div class="card-block">
		<form [formGroup]="updateterm" (ngSubmit)="onSubmit()">
			<div class="dt-responsive dt-bootstrap4 row p-20">
				<div class="col-md-4 col-xl-4 form-group">
					<label class="col-form-label">{{'epdb.admin.glosarry.term' | translate}}</label>
					<input type="text" class="form-control" id="glossary_term" formControlName="glossary_term" placeholder="{{'epdb.admin.glosarry.term' | translate}}">
					<span class="messages text-danger" *ngIf="!updateterm.get('glossary_term').valid && updateterm.get('glossary_term').touched">* Please Enter Term</span>
				</div>
				<div class="col-md-4 col-xl-4 form-group">
					<label class="col-form-label">{{'general.description' | translate}}</label>
					<textarea class="form-control" rows="5" id="description" formControlName="description" placeholder="{{'general.description' | translate}}"></textarea>
					<span class="messages text-danger" *ngIf="!updateterm.get('description').valid && updateterm.get('description').touched">* Please Enter Term</span>
				</div>
				<div class="col-md-4 col-xl-4 form-group">&nbsp;</div>
				<div class="col-md-6 col-xl-6 form-group">&nbsp;</div>
				<div class="col-md-2 col-xl-2 form-group">
					<button type="submit" class="btn btn-success btn-md btn-block text-center">
						<i class="icofont icofont-save"></i> {{'general.btn_save_change' | translate}}</button>
				</div>
				<div class="col-md-2 col-xl-2 form-group">
					<button type="button" (click)="resetForm()" class="btn btn-default btn-md btn-block text-center ">
						<i class="icofont icofont-spinner-alt-3"></i> {{'general.btn_reset' | translate}}</button>
				</div>
				<div class="col-md-2 col-xl-2 form-group">
					<button type="button" [routerLink]="['/admin/glossary/glossary-list']" class="btn btn-danger btn-md btn-block text-center ">
						<i class="icofont icofont-ui-close"></i> {{'general.btn_cancel' | translate}}</button>
				</div>
			</div>
		</form>
	</div>
</div>